## org.codehaus.groovy.grails.commons.spring
Class WebRuntimeSpringConfiguration

    java.lang.Object
      org.codehaus.groovy.grails.commons.spring.DefaultRuntimeSpringConfiguration
          org.codehaus.groovy.grails.commons.spring.WebRuntimeSpringConfiguration

All Implemented Interfaces:
  RuntimeSpringConfiguration, ServletContextAware

    public class WebRuntimeSpringConfiguration

extends DefaultRuntimeSpringConfiguration
implements ServletContextAware

Subclasses DefaultRuntimeSpringConfiguration to provide construction of WebApplicationContext instances

Since:
  1.0

  Created: Nov 23, 2007
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.codehaus.groovy.grails.commons.spring.DefaultRuntimeSpringConfiguration
`classLoader, context, parent`

Constructor Summary
`WebRuntimeSpringConfiguration(ApplicationContext parent)`
`WebRuntimeSpringConfiguration(ApplicationContext parent, ClassLoader cl)`

Method Summary
`protected GenericApplicationContext` `createApplicationContext(ApplicationContext parent)` Creates the ApplicationContext instance.
`void` `setServletContext(ServletContext servletContext)`

Methods inherited from class org.codehaus.groovy.grails.commons.spring.DefaultRuntimeSpringConfiguration

`addAbstractBean, addAlias, addBeanConfiguration, addBeanDefinition, addPrototypeBean, addPrototypeBean, addSingletonBean, addSingletonBean, addSingletonBean, containsBean, createBeanDefinition, createPrototypeBean, createSingletonBean, createSingletonBean, createSingletonBean, getApplicationContext, getBeanConfig, getBeanDefinition, getBeanNames, getUnrefreshedApplicationContext, initialiseApplicationContext, registerBeansWithConfig, registerBeansWithContext, registerBeansWithRegistry, registerPostProcessor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebRuntimeSpringConfiguration

    public WebRuntimeSpringConfiguration(ApplicationContext parent)

### WebRuntimeSpringConfiguration

    public WebRuntimeSpringConfiguration(ApplicationContext parent,
                                         ClassLoader cl)

Method Detail

### createApplicationContext

    protected GenericApplicationContext createApplicationContext(ApplicationContext parent)

  Description copied from class: `DefaultRuntimeSpringConfiguration`
  Creates the ApplicationContext instance. Subclasses can override to customise the used ApplicationContext

  Overrides:
    `createApplicationContext` in class `DefaultRuntimeSpringConfiguration`
  Parameters:
    `parent` - The parent ApplicationContext instance. Can be null.
  Returns:
    An instance of GenericApplicationContext

### setServletContext

    public void setServletContext(ServletContext servletContext)

  Specified by:
    `setServletContext` in interface `ServletContextAware`

Copyright (c) 2005-2009 The Grails project